﻿BuffInformant_Locale = {
	['grp_newbuff_name'] = [[Add a new Buff to the list]],
	['grp_newbuff_desc'] = [[]],
	['nb_name_name'] = [[Name of the (De-)Buff]],
	['nb_name_desc'] = [[]],
	['nb_display_name'] = [[Display]],
	['nb_display_desc'] = [[]],
	['nb_display_1'] = [[- Please Select -]],
	['nb_display_2'] = [[Show Start]],
	['nb_display_3'] = [[Show End]],
	['nb_display_4'] = [[Show Both]],
	['nb_display_5'] = [[Show Timer]],
	['nb_restrict_name'] = [[Restrictions]],
	['nb_restrict_desc'] = [[Optional: enter an comma separated list of charactername or ENGLISH classnames.

This buff will only be displayed when at least one matches.]],
	['nb_unit_name'] = [[Unit]],
	['nb_unit_desc'] = [[]],
	['nb_unit_player'] = [[Player]],
	['nb_unit_target'] = [[Target]],
	['nb_unit_pet'] = [[Pet]],
	['nb_text_name'] = [[Display as]],
	['nb_text_name'] = [[By default each buff it displayed with it\'s name, but you can change it.]],
	['nb_showicon_name'] = [[Show Icon]],
	['nb_showicon_desc'] = [[]],
	['nb_add_name'] = [[Add to list]],
	['nb_add_desc'] = [[Which makes this settings active.]],
	['grp_list_name'] = [[List of all buffs]],
	['grp_list_desc'] = [[]],
	['list_name'] = [[List]],
	['list_desc'] = [[]],
	['grp_display_name'] = [[Display Settings]],
	['grp_display_desc'] = [[]],
	['locked_name'] = [[Show Splash Box]],
	['locked_desc'] = [[You can move it, while it's shown.

This setting cam also be changed trough the Icon (on the FuBar, ... ).]],
	['font_name'] = [[Font]],
	['font_desc'] = [[]],
	['insertmode_name'] = [[Insert Mode]],
	['insertmode_desc'] = [[]],
	['insertmode_TOP'] = [[Top]],
	['insertmode_BOTTOM'] = [[Bottom]],
	['showicon_name'] = [[Icon]],
	['showicon_desc'] = [[]],
	['showicon_D'] = [[Default]],
	['showicon_Y'] = [[Yes]],
	['showicon_N'] = [[No]],
	['holdtime_name'] = [[Hold Time]],
	['holdtime_desc'] = [[How long should a message be displayed? (Except timer)]],
	['grp_colors_name'] = [[Colors]],
	['grp_colors_desc'] = [[Colors on targets do swap between De-/Buff.]],
	['buffstartcolor_name'] = [[Buff Start Color]],
	['buffendcolor_name'] = [[Buff End Color]],
	['debuffstartcolor_name'] = [[Debuff Start Color]],
	['debuffendcolor_name'] = [[Debuff End Color]],
	['xbuffxxxcolor_desc'] = [[]],
	['grp_version_name'] = [[Version %s]],
	['grp_version_desc'] = [[]],
	['broker_tooltip'] = [[Left-Click to un-/lock the splash box.
Right-Click for options.]],
}

local function update_locale(lang, loc)
	if lang == GetLocale() then
		for k,v in pairs(loc) do
			BuffInformant_Locale[k] = v
		end -- for
	end -- if
end

update_locale('deDE', {
	['grp_newbuff_name'] = [[Einen neuen Buff zur Liste hinzufügen]],
	--['grp_newbuff_desc'] = [[]],
	['nb_name_name'] = [[Name des (De-)Buffs]],
	--['nb_name_desc'] = [[]],
	['nb_display_name'] = [[Anzeige]],
	--['nb_display_desc'] = [[]],
	['nb_display_1'] = [[- Bitte Auswählen -]],
	['nb_display_2'] = [[Zeige Start]],
	['nb_display_3'] = [[Zeige Ende]],
	['nb_display_4'] = [[Zeige Beides]],
	['nb_display_5'] = [[Zeige Timer]],
	['nb_restrict_name'] = [[Einschränkungen]],
	['nb_restrict_desc'] = [[Optional: eine Komme getrenne Liste von Cahraternamen oder ENGLISCHEN Klassennamen.

Dieser Buff wird nur angezeigt, wenn es mindestens eine Übereinstimmung gibt.]],
	['nb_unit_name'] = [[Person]],
	--['nb_unit_desc'] = [[]],
	['nb_unit_player'] = [[Spieler]],
	['nb_unit_target'] = [[Ziel]],
	['nb_unit_pet'] = [[Begleiter]],
	['nb_text_name'] = [[Anzeigen als]],
	['nb_text_desc'] = [[Normalerweise wird jeder Buff mit seinem Namen angezeigt, das kann hier geändert werden.]],
	['nb_showicon_name'] = [[Zeige Icon]],
	--['nb_showicon_desc'] = [[]],
	['nb_add_name'] = [[Zur Liste hinzufügen]],
	['nb_add_desc'] = [[Erst das macht die Einstellung aktiv.]],
	['grp_list_name'] = [[Liste aller Buffs]],
	--['grp_list_desc'] = [[]],
	['list_name'] = [[Liste]],
	--['list_desc'] = [[]],
	['grp_display_name'] = [[Anzeigen Einstellungen]],
	--['grp_display_desc'] = [[]],
	['locked_name'] = [[Zeige Splash Box]],
	['locked_desc'] = [[Sie kann bewegt werden, während sie angezeigt wird.

Diese einstellung kann auch durch das Icon (an der FuBar, ...) geändert werden.]],
	['font_name'] = [[Font]],
	--['font_desc'] = [[]],
	['insertmode_name'] = [[Einfüge Modus]],
	--['insertmode_desc'] = [[]],
	['insertmode_TOP'] = [[Oben]],
	['insertmode_BOTTOM'] = [[Unten]],
	['showicon_name'] = [[Icon]],
	--['showicon_desc'] = [[]],
	['showicon_D'] = [[Standard]],
	['showicon_Y'] = [[Ja]],
	['showicon_N'] = [[Nein]],
	['holdtime_name'] = [[Anzeige Zeit]],
	['holdtime_desc'] = [[Wie lange soll ein Buff angezeigt werden? (Ausser Timer)]],
	['grp_colors_name'] = [[Farben]],
	['grp_colors_desc'] = [[Bei der anzeige von Buffs von Zielen werden die Farben der De-/Buffs getauscht.]],
	['buffstartcolor_name'] = [[Buff Start Farbe]],
	['buffendcolor_name'] = [[Buff Ende Farbe]],
	['debuffstartcolor_name'] = [[Debuff Start Farbe]],
	['debuffendcolor_name'] = [[Debuff Ende Farbe]],
	--['xbuffxxxcolor_desc'] = [[]],
	['broker_tooltip'] = [[Links-Klick zum entsperren der Splash Box.
Rechts-Klick für Optionen.]],
})
